Bug 186544

Summary: [PATCH] Update devel/codeblocks to 13.12 and make it build with native clang on -CURRENT and 10.0
Product: Ports & Packages Reporter: Lev A. Serebryakov <lev>
Component: Individual Port(s)Assignee: Lev A. Serebryakov <lev>
Status: Closed FIXED    
Severity: Affects Only Me CC: lbartoletti
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Lev A. Serebryakov freebsd_committer 2014-02-07 17:50:01 UTC
  devel/codeblocks port is out of date and could not be built on -CURRENT and 10.0 systems.
  Also, it has NO_STAGE=yes.
  This update update port to altest 13.12 version, which could be built with clang on newver systems, and add staging support.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-07 17:50:14 UTC
Maintainer of devel/codeblocks,

Please note that PR ports/186544 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186544

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-07 17:50:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Lev A. Serebryakov freebsd_committer 2014-02-07 17:52:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

I'll take this when ${MAINTAINER} answer.
Comment 4 Loïc Bartoletti freebsd_committer 2014-02-08 11:59:29 UTC
Works fine for me !
Build details : https://redports.org/buildarchive/20140208084221-09933/

Thanks !

On 07.02.2014 18:50, Edwin Groothuis wrote:
> Maintainer of devel/codeblocks,
>
> Please note that PR ports/186544 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186544
>
Comment 5 dfilter service freebsd_committer 2014-02-15 13:16:27 UTC
Author: lev
Date: Sat Feb 15 13:16:17 2014
New Revision: 344386
URL: http://svnweb.freebsd.org/changeset/ports/344386
QAT: https://qat.redports.org/buildarchive/r344386/

Log:
   Update to 13.12, make it build on 10/CURRENT with clang.
  
  PR:		ports/186544
  Submitted by:	me
  Approved by:	maintainer

Modified:
  head/devel/codeblocks/Makefile
  head/devel/codeblocks/distinfo
  head/devel/codeblocks/pkg-plist

Modified: head/devel/codeblocks/Makefile
==============================================================================
--- head/devel/codeblocks/Makefile	Sat Feb 15 13:14:43 2014	(r344385)
+++ head/devel/codeblocks/Makefile	Sat Feb 15 13:16:17 2014	(r344386)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	codeblocks
-PORTVERSION=	12.11
-PORTREVISION=	1
+PORTVERSION=	13.12
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/Sources/${PORTVERSION}
 DISTNAME=	${PORTNAME}_${PORTVERSION}-1
@@ -20,7 +19,7 @@ LIB_DEPENDS=	libboost_system.so:${PORTSD
 		librsync.so:${PORTSDIR}/net/librsync
 RUN_DEPENDS=	update-mime-database:${PORTSDIR}/misc/shared-mime-info
 
-USES=		fam pkgconfig
+USES=		fam:gamin pkgconfig compiler
 USE_WX=		2.8
 WANT_UNICODE=	yes
 USE_GNOME=	gnomehack desktopfileutils
@@ -28,14 +27,18 @@ GNU_CONFIGURE=	yes
 INSTALLS_ICONS=	yes
 USE_LDCONFIG=	yes
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}release8629
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
+.include <bsd.port.pre.mk>
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
+.if ${CHOSEN_COMPILER_TYPE} == clang
+CXXFLAGS+=	-std=c++0x
+.endif
 
 CONFIGURE_ARGS+=	--with-wx-config=${WX_CONFIG} --with-contrib-plugins=all
 
 MAN1=	cb_console_runner.1 cb_share_config.1 codeblocks.1 codesnippets.1
 
-NO_STAGE=	yes
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/devel/codeblocks/distinfo
==============================================================================
--- head/devel/codeblocks/distinfo	Sat Feb 15 13:14:43 2014	(r344385)
+++ head/devel/codeblocks/distinfo	Sat Feb 15 13:16:17 2014	(r344386)
@@ -1,2 +1,2 @@
-SHA256 (codeblocks_12.11-1.tar.gz) = af57635b97aa6ea52ba120c5fac2d847c2638d53e6bdb3fdd1561b7fa7ae6ed9
-SIZE (codeblocks_12.11-1.tar.gz) = 12251781
+SHA256 (codeblocks_13.12-1.tar.gz) = 772450046e8c8ba2ea0086acf433a46b83e6254fae64df9c8ca132a22f949610
+SIZE (codeblocks_13.12-1.tar.gz) = 17221056

Modified: head/devel/codeblocks/pkg-plist
==============================================================================
--- head/devel/codeblocks/pkg-plist	Sat Feb 15 13:14:43 2014	(r344385)
+++ head/devel/codeblocks/pkg-plist	Sat Feb 15 13:16:17 2014	(r344386)
@@ -2,14 +2,24 @@ bin/cb_console_runner
 bin/cb_share_config
 bin/codeblocks
 bin/codesnippets
+include/codeblocks/Assertions.h
+include/codeblocks/Attributes.h
 include/codeblocks/CharDistribution.h
+include/codeblocks/Compiler.h
+include/codeblocks/ErrorList.h
 include/codeblocks/JpCntx.h
+include/codeblocks/Likely.h
+include/codeblocks/NullPtr.h
+include/codeblocks/StandardInteger.h
+include/codeblocks/Types.h
+include/codeblocks/Util.h
 include/codeblocks/annoyingdialog.h
 include/codeblocks/autodetectcompilers.h
 include/codeblocks/backgroundthread.h
 include/codeblocks/base64.h
 include/codeblocks/blockallocated.h
 include/codeblocks/cbauibook.h
+include/codeblocks/cbcolourmanager.h
 include/codeblocks/cbdebugger_interfaces.h
 include/codeblocks/cbeditor.h
 include/codeblocks/cbeditorprintout.h
@@ -21,7 +31,6 @@ include/codeblocks/cbstatusbar.h
 include/codeblocks/cbstyledtextctrl.h
 include/codeblocks/cbthreadedtask.h
 include/codeblocks/cbthreadpool.h
-include/codeblocks/cbthreadpool_extras.h
 include/codeblocks/cbtool.h
 include/codeblocks/cbtreectrl.h
 include/codeblocks/cbworkspace.h
@@ -44,7 +53,6 @@ include/codeblocks/editkeywordsdlg.h
 include/codeblocks/editor_hooks.h
 include/codeblocks/editorbase.h
 include/codeblocks/editorcolourset.h
-include/codeblocks/editorconfigurationdlg.h
 include/codeblocks/editorlexerloader.h
 include/codeblocks/editormanager.h
 include/codeblocks/editpairdlg.h
@@ -79,6 +87,7 @@ include/codeblocks/newfromtemplatedlg.h
 include/codeblocks/nsBig5Prober.h
 include/codeblocks/nsCharSetProber.h
 include/codeblocks/nsCodingStateMachine.h
+include/codeblocks/nsDebug.h
 include/codeblocks/nsEUCJPProber.h
 include/codeblocks/nsEUCKRProber.h
 include/codeblocks/nsEUCTWProber.h
@@ -88,6 +97,7 @@ include/codeblocks/nsGB2312Prober.h
 include/codeblocks/nsHebrewProber.h
 include/codeblocks/nsLatin1Prober.h
 include/codeblocks/nsMBCSGroupProber.h
+include/codeblocks/nsMemory.h
 include/codeblocks/nsPkgInt.h
 include/codeblocks/nsSBCSGroupProber.h
 include/codeblocks/nsSBCharSetProber.h
@@ -100,6 +110,11 @@ include/codeblocks/pipedprocess.h
 include/codeblocks/pluginmanager.h
 include/codeblocks/pluginsconfigurationdlg.h
 include/codeblocks/prcpucfg.h
+include/codeblocks/prcpucfg_darwin.h
+include/codeblocks/prcpucfg_linux.h
+include/codeblocks/prcpucfg_openbsd.h
+include/codeblocks/prcpucfg_win95.h
+include/codeblocks/prcpucfg_winnt.h
 include/codeblocks/prep.h
 include/codeblocks/printing_types.h
 include/codeblocks/prmem.h
@@ -111,7 +126,6 @@ include/codeblocks/projectlayoutloader.h
 include/codeblocks/projectloader.h
 include/codeblocks/projectloader_hooks.h
 include/codeblocks/projectmanager.h
-include/codeblocks/projectoptionsdlg.h
 include/codeblocks/projectsfilemasksdlg.h
 include/codeblocks/projecttemplateloader.h
 include/codeblocks/prtypes.h
@@ -199,6 +213,9 @@ include/codeblocks/wxContribItems/wxled/
 include/codeblocks/wxContribItems/wxled/gizmosled/include/wx/gizmos/ledctrl.h
 include/codeblocks/wxContribItems/wxled/lcdwindow/include/wx/lcdwindow.h
 include/codeblocks/wxContribItems/wxled/led/include/wx/led.h
+include/codeblocks/wxContribItems/wxled/led/include/wx/stateLed.h
+include/codeblocks/wxContribItems/wxled/led/include/xrc/xh_ledHandler.h
+include/codeblocks/wxContribItems/wxled/led/include/xrc/xh_stateLedHandler.h
 include/codeblocks/wxContribItems/wxled/ledpanel/include/wx/advancedmatrixobject.h
 include/codeblocks/wxContribItems/wxled/ledpanel/include/wx/matrixobject.h
 include/codeblocks/wxContribItems/wxled/ledpanel/include/wx/wxledfont.h
@@ -404,6 +421,8 @@ lib/codeblocks/plugins/libkeybinder.la
 lib/codeblocks/plugins/libkeybinder.so
 lib/codeblocks/plugins/liblib_finder.la
 lib/codeblocks/plugins/liblib_finder.so
+lib/codeblocks/plugins/liboccurrenceshighlighting.la
+lib/codeblocks/plugins/liboccurrenceshighlighting.so
 lib/codeblocks/plugins/libopenfileslist.la
 lib/codeblocks/plugins/libopenfileslist.so
 lib/codeblocks/plugins/libprojectsimporter.la
@@ -462,6 +481,10 @@ libdata/pkgconfig/wxsmith-contrib.pc
 libdata/pkgconfig/wxsmith.pc
 libdata/pkgconfig/wxsmithaui.pc
 share/applications/codeblocks.desktop
+share/icons/hicolor/48x48/mimetypes/application-x-codeblocks-workspace.png
+share/icons/hicolor/48x48/mimetypes/application-x-codeblocks.png
+share/mime/packages/codeblocks.xml
+share/pixmaps/codeblocks.png
 %%DATADIR%%/AutoVersioning.zip
 %%DATADIR%%/BrowseTracker.zip
 %%DATADIR%%/Cccc.zip
@@ -490,6 +513,7 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/SpellChecker/de_AT.png
 %%DATADIR%%/SpellChecker/de_CH.png
 %%DATADIR%%/SpellChecker/de_DE.png
+%%DATADIR%%/SpellChecker/disabled.png
 %%DATADIR%%/SpellChecker/en_AU.png
 %%DATADIR%%/SpellChecker/en_CA.png
 %%DATADIR%%/SpellChecker/en_GB.png
@@ -510,6 +534,61 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/codesnippets.zip
 %%DATADIR%%/codestat.zip
 %%DATADIR%%/compiler.zip
+%%DATADIR%%/compilers/compiler_avr-gcc.xml
+%%DATADIR%%/compilers/compiler_bcc.xml
+%%DATADIR%%/compilers/compiler_clang.xml
+%%DATADIR%%/compilers/compiler_dmc.xml
+%%DATADIR%%/compilers/compiler_dmd.xml
+%%DATADIR%%/compilers/compiler_ldc.xml
+%%DATADIR%%/compilers/compiler_msp430-gcc.xml
+%%DATADIR%%/compilers/compiler_null.xml
+%%DATADIR%%/compilers/compiler_pgifortran.xml
+%%DATADIR%%/compilers/compiler_ppc-gcc.xml
+%%DATADIR%%/compilers/compiler_sdcc.xml
+%%DATADIR%%/compilers/compiler_tcc.xml
+%%DATADIR%%/compilers/compiler_tricore-gcc.xml
+%%DATADIR%%/compilers/options_arm-elf-gcc.xml
+%%DATADIR%%/compilers/options_avr-gcc.xml
+%%DATADIR%%/compilers/options_bcc.xml
+%%DATADIR%%/compilers/options_clang.xml
+%%DATADIR%%/compilers/options_common_architecture.xml
+%%DATADIR%%/compilers/options_common_cmds.xml
+%%DATADIR%%/compilers/options_common_codegen.xml
+%%DATADIR%%/compilers/options_common_optimization.xml
+%%DATADIR%%/compilers/options_common_optimize-msvc.xml
+%%DATADIR%%/compilers/options_common_re-gf.xml
+%%DATADIR%%/compilers/options_common_re-iar.xml
+%%DATADIR%%/compilers/options_common_re-msvc.xml
+%%DATADIR%%/compilers/options_common_re.xml
+%%DATADIR%%/compilers/options_common_runtime.xml
+%%DATADIR%%/compilers/options_common_sort.xml
+%%DATADIR%%/compilers/options_common_warnings-msvc.xml
+%%DATADIR%%/compilers/options_common_warnings.xml
+%%DATADIR%%/compilers/options_cygwin.xml
+%%DATADIR%%/compilers/options_dmc.xml
+%%DATADIR%%/compilers/options_dmd.xml
+%%DATADIR%%/compilers/options_g95.xml
+%%DATADIR%%/compilers/options_gcc.xml
+%%DATADIR%%/compilers/options_gdc.xml
+%%DATADIR%%/compilers/options_gfortran.xml
+%%DATADIR%%/compilers/options_iar8051.xml
+%%DATADIR%%/compilers/options_iararm.xml
+%%DATADIR%%/compilers/options_icc.xml
+%%DATADIR%%/compilers/options_keilc51.xml
+%%DATADIR%%/compilers/options_keilcx51.xml
+%%DATADIR%%/compilers/options_lcc.xml
+%%DATADIR%%/compilers/options_ldc.xml
+%%DATADIR%%/compilers/options_msp430-gcc.xml
+%%DATADIR%%/compilers/options_msvc10.xml
+%%DATADIR%%/compilers/options_msvc8.xml
+%%DATADIR%%/compilers/options_msvctk.xml
+%%DATADIR%%/compilers/options_null.xml
+%%DATADIR%%/compilers/options_ow.xml
+%%DATADIR%%/compilers/options_pgifortran.xml
+%%DATADIR%%/compilers/options_ppc-gcc.xml
+%%DATADIR%%/compilers/options_sdcc.xml
+%%DATADIR%%/compilers/options_tcc.xml
+%%DATADIR%%/compilers/options_tricore-gcc.xml
 %%DATADIR%%/copystrings.zip
 %%DATADIR%%/debugger.zip
 %%DATADIR%%/defaultmimehandler.zip
@@ -621,6 +700,7 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/images/ThreadSearch/16x16/openfilesdisabled.png
 %%DATADIR%%/images/ThreadSearch/16x16/openfilesselected.png
 %%DATADIR%%/images/ThreadSearch/16x16/options.png
+%%DATADIR%%/images/ThreadSearch/16x16/optionsactive.png
 %%DATADIR%%/images/ThreadSearch/16x16/optionsdisabled.png
 %%DATADIR%%/images/ThreadSearch/16x16/project.png
 %%DATADIR%%/images/ThreadSearch/16x16/project1.png
@@ -656,6 +736,7 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/images/ThreadSearch/22x22/openfilesdisabled.png
 %%DATADIR%%/images/ThreadSearch/22x22/openfilesselected.png
 %%DATADIR%%/images/ThreadSearch/22x22/options.png
+%%DATADIR%%/images/ThreadSearch/22x22/optionsactive.png
 %%DATADIR%%/images/ThreadSearch/22x22/optionsdisabled.png
 %%DATADIR%%/images/ThreadSearch/22x22/project.png
 %%DATADIR%%/images/ThreadSearch/22x22/project1.png
@@ -832,6 +913,8 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/images/settings/autosave.png
 %%DATADIR%%/images/settings/batch-off.png
 %%DATADIR%%/images/settings/batch.png
+%%DATADIR%%/images/settings/codecompletion-off.png
+%%DATADIR%%/images/settings/codecompletion.png
 %%DATADIR%%/images/settings/codestats-off.png
 %%DATADIR%%/images/settings/codestats.png
 %%DATADIR%%/images/settings/colours-off.png
@@ -887,7 +970,7 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/images/splash_0802.png
 %%DATADIR%%/images/splash_1005.png
 %%DATADIR%%/images/splash_1211.png
-%%DATADIR%%/images/splash_1211_transparent.png
+%%DATADIR%%/images/splash_1312.png
 %%DATADIR%%/images/stop.png
 %%DATADIR%%/images/undo.png
 %%DATADIR%%/images/vfolder_open.png
@@ -1157,6 +1240,8 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/lexers/lexer_matlab.xml
 %%DATADIR%%/lexers/lexer_nsis.sample
 %%DATADIR%%/lexers/lexer_nsis.xml
+%%DATADIR%%/lexers/lexer_objc.sample
+%%DATADIR%%/lexers/lexer_objc.xml
 %%DATADIR%%/lexers/lexer_pascal.sample
 %%DATADIR%%/lexers/lexer_pascal.xml
 %%DATADIR%%/lexers/lexer_perl.sample
@@ -1192,6 +1277,7 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/lib_finder/glfw.xml
 %%DATADIR%%/lib_finder/wxwidgets.xml
 %%DATADIR%%/manager_resources.zip
+%%DATADIR%%/occurrenceshighlighting.zip
 %%DATADIR%%/openfileslist.zip
 %%DATADIR%%/projectsimporter.zip
 %%DATADIR%%/resources.zip
@@ -1305,6 +1391,10 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/templates/wizard/arm/logo.png
 %%DATADIR%%/templates/wizard/arm/wizard.png
 %%DATADIR%%/templates/wizard/arm/wizard.script
+%%DATADIR%%/templates/wizard/avr/files/FuseExt.c
+%%DATADIR%%/templates/wizard/avr/files/FuseFuse0to4.c
+%%DATADIR%%/templates/wizard/avr/files/FuseHigh.c
+%%DATADIR%%/templates/wizard/avr/files/FuseLow.c
 %%DATADIR%%/templates/wizard/avr/files/main.c
 %%DATADIR%%/templates/wizard/avr/logo.png
 %%DATADIR%%/templates/wizard/avr/wizard.png
@@ -1396,10 +1486,21 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/templates/wizard/matlab_csf/wizard.png
 %%DATADIR%%/templates/wizard/matlab_csf/wizard.script
 %%DATADIR%%/templates/wizard/matlab_csf/wizard.xrc
+%%DATADIR%%/templates/wizard/mcs51/files/main.c
+%%DATADIR%%/templates/wizard/mcs51/logo.png
+%%DATADIR%%/templates/wizard/mcs51/wizard.png
+%%DATADIR%%/templates/wizard/mcs51/wizard.script
+%%DATADIR%%/templates/wizard/mcs51/wizard.xrc
 %%DATADIR%%/templates/wizard/ogre/files/main.cpp
 %%DATADIR%%/templates/wizard/ogre/logo.png
 %%DATADIR%%/templates/wizard/ogre/wizard.png
 %%DATADIR%%/templates/wizard/ogre/wizard.script
+%%DATADIR%%/templates/wizard/opencv/files/lena.jpg
+%%DATADIR%%/templates/wizard/opencv/files/main.cpp
+%%DATADIR%%/templates/wizard/opencv/logo.png
+%%DATADIR%%/templates/wizard/opencv/wizard.png
+%%DATADIR%%/templates/wizard/opencv/wizard.script
+%%DATADIR%%/templates/wizard/opencv/wizard.xrc
 %%DATADIR%%/templates/wizard/opengl/files_unix/main.c
 %%DATADIR%%/templates/wizard/opengl/files_win/main.c
 %%DATADIR%%/templates/wizard/opengl/logo.png
@@ -1439,9 +1540,11 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/templates/wizard/sdl/logo.png
 %%DATADIR%%/templates/wizard/sdl/wizard.png
 %%DATADIR%%/templates/wizard/sdl/wizard.script
-%%DATADIR%%/templates/wizard/sfml/files/cb.bmp
-%%DATADIR%%/templates/wizard/sfml/files/main.cpp
 %%DATADIR%%/templates/wizard/sfml/logo.png
+%%DATADIR%%/templates/wizard/sfml/sfml1/cb.bmp
+%%DATADIR%%/templates/wizard/sfml/sfml1/main.cpp
+%%DATADIR%%/templates/wizard/sfml/sfml2/cb.bmp
+%%DATADIR%%/templates/wizard/sfml/sfml2/main.cpp
 %%DATADIR%%/templates/wizard/sfml/wizard.png
 %%DATADIR%%/templates/wizard/sfml/wizard.script
 %%DATADIR%%/templates/wizard/sharedlib/c/main.c
@@ -1489,12 +1592,15 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1775/memoryROM.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1775/src/setup.c
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1792/h/triboard_setup.h
+%%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1792/memoryROM-intern.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1792/memoryROM.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1792/src/setup.c
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1796/h/triboard_setup.h
+%%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1796/memoryROM-intern.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1796/memoryROM.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1796/src/setup.c
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1797/h/triboard_setup.h
+%%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1797/memoryROM-intern.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1797/memoryROM.x
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1797/src/setup.c
 %%DATADIR%%/templates/wizard/tricore/templates/TriBoard-TC1920/h/triboard_setup.h
@@ -1554,10 +1660,71 @@ share/applications/codeblocks.desktop
 %%DATADIR%%/wxSmithAui.zip
 %%DATADIR%%/wxsmith.zip
 %%DATADIR%%/wxsmithcontribitems.zip
-share/icons/hicolor/48x48/mimetypes/application-x-codeblocks-workspace.png
-share/icons/hicolor/48x48/mimetypes/application-x-codeblocks.png
-share/mime/packages/codeblocks.xml
-share/pixmaps/codeblocks.png
+@dirrmtry share/mime/packages
+@dirrmtry share/mime
+@dirrmtry share/icons/hicolor/48x48/mimetypes
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrm lib/codeblocks/wxContribItems
+@dirrm lib/codeblocks/plugins
+@dirrm lib/codeblocks
+@dirrm include/wxsmith/wxwidgets/properties
+@dirrm include/wxsmith/wxwidgets
+@dirrm include/wxsmith/properties
+@dirrm include/wxsmith
+@dirrm include/codeblocks/wxscintilla/include/wx
+@dirrm include/codeblocks/wxscintilla/include
+@dirrm include/codeblocks/wxscintilla
+@dirrm include/codeblocks/wxpropgrid/include/wx/propgrid
+@dirrm include/codeblocks/wxpropgrid/include/wx
+@dirrm include/codeblocks/wxpropgrid/include
+@dirrm include/codeblocks/wxpropgrid
+@dirrm include/codeblocks/wxContribItems/wxthings/include/wx/things
+@dirrm include/codeblocks/wxContribItems/wxthings/include/wx
+@dirrm include/codeblocks/wxContribItems/wxthings/include
+@dirrm include/codeblocks/wxContribItems/wxthings
+@dirrm include/codeblocks/wxContribItems/wxled/ledpanel/include/wx
+@dirrm include/codeblocks/wxContribItems/wxled/ledpanel/include
+@dirrm include/codeblocks/wxContribItems/wxled/ledpanel
+@dirrm include/codeblocks/wxContribItems/wxled/led/include/xrc
+@dirrm include/codeblocks/wxContribItems/wxled/led/include/wx
+@dirrm include/codeblocks/wxContribItems/wxled/led/include
+@dirrm include/codeblocks/wxContribItems/wxled/led
+@dirrm include/codeblocks/wxContribItems/wxled/lcdwindow/include/wx
+@dirrm include/codeblocks/wxContribItems/wxled/lcdwindow/include
+@dirrm include/codeblocks/wxContribItems/wxled/lcdwindow
+@dirrm include/codeblocks/wxContribItems/wxled/gizmosled/include/wx/gizmos
+@dirrm include/codeblocks/wxContribItems/wxled/gizmosled/include/wx
+@dirrm include/codeblocks/wxContribItems/wxled/gizmosled/include
+@dirrm include/codeblocks/wxContribItems/wxled/gizmosled
+@dirrm include/codeblocks/wxContribItems/wxled
+@dirrm include/codeblocks/wxContribItems/wxchart/include/wx
+@dirrm include/codeblocks/wxContribItems/wxchart/include
+@dirrm include/codeblocks/wxContribItems/wxchart
+@dirrm include/codeblocks/wxContribItems/wxTreeList/include/wx
+@dirrm include/codeblocks/wxContribItems/wxTreeList/include
+@dirrm include/codeblocks/wxContribItems/wxTreeList
+@dirrm include/codeblocks/wxContribItems/wxSpeedButton
+@dirrm include/codeblocks/wxContribItems/wxImagePanel/include/wx
+@dirrm include/codeblocks/wxContribItems/wxImagePanel/include
+@dirrm include/codeblocks/wxContribItems/wxImagePanel
+@dirrm include/codeblocks/wxContribItems/wxFlatNotebook/include/wx/wxFlatNotebook
+@dirrm include/codeblocks/wxContribItems/wxFlatNotebook/include/wx
+@dirrm include/codeblocks/wxContribItems/wxFlatNotebook/include
+@dirrm include/codeblocks/wxContribItems/wxFlatNotebook
+@dirrm include/codeblocks/wxContribItems/KWIC/include/wx/xrc
+@dirrm include/codeblocks/wxContribItems/KWIC/include/wx/KWIC
+@dirrm include/codeblocks/wxContribItems/KWIC/include/wx
+@dirrm include/codeblocks/wxContribItems/KWIC/include
+@dirrm include/codeblocks/wxContribItems/KWIC
+@dirrm include/codeblocks/wxContribItems
+@dirrm include/codeblocks/tinyxml
+@dirrm include/codeblocks/scripting/sqplus
+@dirrm include/codeblocks/scripting/include
+@dirrm include/codeblocks/scripting/bindings
+@dirrm include/codeblocks/scripting
+@dirrm include/codeblocks
 @dirrm %%DATADIR%%/templates/wizard/wxwidgets/wxsmith
 @dirrm %%DATADIR%%/templates/wizard/wxwidgets/wxfb/frame
 @dirrm %%DATADIR%%/templates/wizard/wxwidgets/wxfb/dialog
@@ -1618,7 +1785,8 @@ share/pixmaps/codeblocks.png
 @dirrm %%DATADIR%%/templates/wizard/sharedlib/cpp
 @dirrm %%DATADIR%%/templates/wizard/sharedlib/c
 @dirrm %%DATADIR%%/templates/wizard/sharedlib
-@dirrm %%DATADIR%%/templates/wizard/sfml/files
+@dirrm %%DATADIR%%/templates/wizard/sfml/sfml2
+@dirrm %%DATADIR%%/templates/wizard/sfml/sfml1
 @dirrm %%DATADIR%%/templates/wizard/sfml
 @dirrm %%DATADIR%%/templates/wizard/sdl/files
 @dirrm %%DATADIR%%/templates/wizard/sdl
@@ -1639,8 +1807,12 @@ share/pixmaps/codeblocks.png
 @dirrm %%DATADIR%%/templates/wizard/opengl/files_win
 @dirrm %%DATADIR%%/templates/wizard/opengl/files_unix
 @dirrm %%DATADIR%%/templates/wizard/opengl
+@dirrm %%DATADIR%%/templates/wizard/opencv/files
+@dirrm %%DATADIR%%/templates/wizard/opencv
 @dirrm %%DATADIR%%/templates/wizard/ogre/files
 @dirrm %%DATADIR%%/templates/wizard/ogre
+@dirrm %%DATADIR%%/templates/wizard/mcs51/files
+@dirrm %%DATADIR%%/templates/wizard/mcs51
 @dirrm %%DATADIR%%/templates/wizard/matlab_csf/files
 @dirrm %%DATADIR%%/templates/wizard/matlab_csf
 @dirrm %%DATADIR%%/templates/wizard/lf/files/structured
@@ -1733,67 +1905,10 @@ share/pixmaps/codeblocks.png
 @dirrm %%DATADIR%%/images/16x16
 @dirrm %%DATADIR%%/images
 @dirrm %%DATADIR%%/icons
+@dirrm %%DATADIR%%/compilers
 @dirrm %%DATADIR%%/SpellChecker
 @dirrm %%DATADIR%%
-@dirrm lib/codeblocks/wxContribItems
-@dirrm lib/codeblocks/plugins
-@dirrm lib/codeblocks
-@dirrm include/wxsmith/wxwidgets/properties
-@dirrm include/wxsmith/wxwidgets
-@dirrm include/wxsmith/properties
-@dirrm include/wxsmith
-@dirrm include/codeblocks/wxscintilla/include/wx
-@dirrm include/codeblocks/wxscintilla/include
-@dirrm include/codeblocks/wxscintilla
-@dirrm include/codeblocks/wxpropgrid/include/wx/propgrid
-@dirrm include/codeblocks/wxpropgrid/include/wx
-@dirrm include/codeblocks/wxpropgrid/include
-@dirrm include/codeblocks/wxpropgrid
-@dirrm include/codeblocks/wxContribItems/wxthings/include/wx/things
-@dirrm include/codeblocks/wxContribItems/wxthings/include/wx
-@dirrm include/codeblocks/wxContribItems/wxthings/include
-@dirrm include/codeblocks/wxContribItems/wxthings
-@dirrm include/codeblocks/wxContribItems/wxled/ledpanel/include/wx
-@dirrm include/codeblocks/wxContribItems/wxled/ledpanel/include
-@dirrm include/codeblocks/wxContribItems/wxled/ledpanel
-@dirrm include/codeblocks/wxContribItems/wxled/led/include/wx
-@dirrm include/codeblocks/wxContribItems/wxled/led/include
-@dirrm include/codeblocks/wxContribItems/wxled/led
-@dirrm include/codeblocks/wxContribItems/wxled/lcdwindow/include/wx
-@dirrm include/codeblocks/wxContribItems/wxled/lcdwindow/include
-@dirrm include/codeblocks/wxContribItems/wxled/lcdwindow
-@dirrm include/codeblocks/wxContribItems/wxled/gizmosled/include/wx/gizmos
-@dirrm include/codeblocks/wxContribItems/wxled/gizmosled/include/wx
-@dirrm include/codeblocks/wxContribItems/wxled/gizmosled/include
-@dirrm include/codeblocks/wxContribItems/wxled/gizmosled
-@dirrm include/codeblocks/wxContribItems/wxled
-@dirrm include/codeblocks/wxContribItems/wxchart/include/wx
-@dirrm include/codeblocks/wxContribItems/wxchart/include
-@dirrm include/codeblocks/wxContribItems/wxchart
-@dirrm include/codeblocks/wxContribItems/wxTreeList/include/wx
-@dirrm include/codeblocks/wxContribItems/wxTreeList/include
-@dirrm include/codeblocks/wxContribItems/wxTreeList
-@dirrm include/codeblocks/wxContribItems/wxSpeedButton
-@dirrm include/codeblocks/wxContribItems/wxImagePanel/include/wx
-@dirrm include/codeblocks/wxContribItems/wxImagePanel/include
-@dirrm include/codeblocks/wxContribItems/wxImagePanel
-@dirrm include/codeblocks/wxContribItems/wxFlatNotebook/include/wx/wxFlatNotebook
-@dirrm include/codeblocks/wxContribItems/wxFlatNotebook/include/wx
-@dirrm include/codeblocks/wxContribItems/wxFlatNotebook/include
-@dirrm include/codeblocks/wxContribItems/wxFlatNotebook
-@dirrm include/codeblocks/wxContribItems/KWIC/include/wx/xrc
-@dirrm include/codeblocks/wxContribItems/KWIC/include/wx/KWIC
-@dirrm include/codeblocks/wxContribItems/KWIC/include/wx
-@dirrm include/codeblocks/wxContribItems/KWIC/include
-@dirrm include/codeblocks/wxContribItems/KWIC
-@dirrm include/codeblocks/wxContribItems
-@dirrm include/codeblocks/tinyxml
-@dirrm include/codeblocks/scripting/sqplus
-@dirrm include/codeblocks/scripting/include
-@dirrm include/codeblocks/scripting/bindings
-@dirrm include/codeblocks/scripting
-@dirrm include/codeblocks
-@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
-@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
 @exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
 @unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Lev A. Serebryakov freebsd_committer 2014-02-15 13:16:35 UTC
State Changed
From-To: feedback->closed


Commited